<!DOCTYPE html>
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="../js/header.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" type = "text/css" href="../css/style.css">
	<link rel="stylesheet" type = "text/css" href="../css/messagesStyle.css">
	<title>Messages</title>
</head>
<body>
	<header>
        <h2>CMS</h2>
        <nav>
            <ul>
                <li class="notification active">
                    <a href="#"><img class="notificationIcon" src="../images/notificationNonActiveIcon.png" alt="Notification" ></a>
                    <div class="notification-popup">
                        <div class="notification-item">
                            <div>
                                <img src="../images/notificationNonActiveIcon.png" alt="Photo 1">
                                <p class="notification-name">User 1</p>
                            </div>
                            <div class="notification-content">
                                <p class="notification-text">Notification text goes here...</p>
                            </div>
                        </div>
                        <div class="notification-item">
                            <div>
                                <img src="../images/user-notification-icon.png" alt="Photo 2">
                                <p class="notification-name">User 2</p>
                            </div>
                            <div class="notification-content">
                                <p class="notification-text">Another notification text...</p>
                            </div>
                        </div>
                        <div class="notification-item">
                            <div>
                                <img src="../images/user-notification-icon.png" alt="Photo 2">
                                <p class="notification-name">User 3</p>
                            </div>
                            <div class="notification-content">
                                <p class="notification-text">Some text here...</p>
                            </div>
                        </div>
                    </div>
                </li>
                <li class="profile">
                    <img src="../images/userIcon.png" alt="User">
                    <p id="userName"></p>
                    <div class="profile-popup">
                        <button>Profile</button>
                        <button onclick="LogOut()">Log Out</button>
                    </div>
                </li>
            </ul>
        </nav>
    </header>
	<main>
        <nav class="navigation-container">
            <ul>
                <li><a href="#">Dashboard</a></li>
                <li><a href="./index.html">Students</a></li>
                <li class="active"><a href="./messages.html">Messages</a></li>
                <li><a href="#">Tasks</a></li>
            </ul>
        </nav>

        <div class="chat-container">
            <div class="pb-5 pt-5">
                <h1>Messages</h1>
            </div>

            <div class="container">
                <div class="row">
                    <div class="chats-nav col-md-4">
                        <div class="chats-header">
                            <h2>Chats</h2>
                            <button class="btn btn-primary fs-3" id="showNewChatModal" data-bs-toggle="modal" data-bs-target="#newChatModal">New chat</button>
                        </div>
                        <div class="chats-list scrollableItem" id="chatItems"></div>
                    </div>
                    <div class="chatView col-md-8" id="chatView">
                        <div class="chatHeader" id ="chatName">
                        </div>
                        <hr>

						<div class ="chatHeader">
							<div>
							Members
                            <button class="btn btn-primary fs-3" id="showAddMemberModal" data-bs-toggle="modal" data-bs-target="#addMemberModal">+</button>
							</div>
						</div>

						<div class ="membersIconContainers" id = "chatMembers">
						</div>

						<div class ="chatStoryContainer scrollableItem" id = "chatHistory">
						</div>

                        <div class="chat-footer">
                            <div class="chat-input" id="messageInputForm">
                                <input type="text" placeholder="Enter message" class="userInputMessage" id="userInputMessage" name="userInputMessage" >
                                <button id="sendUserMessage">Send</button>
							</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

	<div class="modal fade" id="newChatModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <form id="newChatForm">
                    <div class="modal-header">
                        <h2 class="modal-title fs-3" id="staticBackdropLabel">Create new chat</h2>
				        <button type = "reset" class="btn-close" onclick="hideAddChatModal()" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class = "inputsContainer">
                            <div class ="pairContainer">
                                <label for ="newChatName">Chat name</label>
                                <input type="text" id ="newChatName" name="newChatName" class="studentInput" maxlength="30" pattern=".*\S+.*">
                            </div>
                        </div>
                    </div>
                        
                    <div class="modal-footer">
                        <button type="reset" class="btn btn-secondary fs-4" onclick="hideAddChatModal()">Close</button>
                        <button type="submit" class="btn btn-primary fs-4">Create</button>
                    </div>
                </form>
            </div>
        </div>
	</div>

    <div class="modal fade" id="addMemberModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <form id="addMemberForm">
                    <div class="modal-header">
                        <h2 class="warningTitle">Add new member to chat</h2>
                        <button type = "reset" class="btn-close" onclick="hideAddMemberModal()" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class = "inputsContainer">
                            <div class ="pairContainer">
                                <label for ="newMember">New member</label>
                                <select name ="newMember" id="newMember" class="studentInput" required>
                                </select>
                            </div>
                        </div>
                    </div>
                        
                    <div class="modal-footer">
                        <button type="reset" class="btn btn-secondary fs-4" onclick="hideAddMemberModal()">Close</button>
                        <button type="submit" class="btn btn-primary fs-4">Add</button>
                    </div>
                </form>
            </div>
        </div>
	</div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
	<script src="../socket.io.js"></script>
	<script src ="../js/message.js"></script>
</body>